WHEREIS(1)

NAZWA
whereis - znajdź pliki binarne, źródłowe i strony podręcznika dla danego polecenia

SKŁADNIA
whereis [-bmsu] [-BMS katalog... -f] nazwa_pliku...

OPIS
whereis lokalizuje źródła oraz binaria i dokumentację man dla zadanych plików. Z podanych nazw wstępnie usuwana jest początkowa składowa określająca ścieżkę oraz ewentualne (pojedyncze) kończące rozszerzenie postaci .ext, na przykład, .c. Przedrostki s. wynikające z użycia kontroli kodu źródłowego są również obsługiwane. Następnie whereis usiłuje zlokalizować położenie żądanego programu, posługując się listą standardowych miejsc linuksowych.

OPCJE

-b  Szuka tylko binariów.

-m  Szuka tylko sekcji dokumentacji podręcznika ekranowego.

-s  Szuka tylko źródeł.

-u  Szuka wpisów odbiegających od normy. Plik odbiega od normy, jeśli nie ma choć jednej pozycji każdego zadanego typu. Zatem "whereis -m -u *" wyszukuje pliki w bieżącym katalogu, które nie mają dokumentacji.

-B  Zmienia lub w inny sposób ogranicza miejsca, gdzie whereis szuka binariów.

-M  Zmienia lub w inny sposób ogranicza miejsca, gdzie whereis szuka sekcji stron podręcznika ekranowego.

-S  Zmienia lub w inny sposób ogranicza miejsca, gdzie whereis szuka źródeł.

-f  Kończy ostatnią listę katalogów i sygnalizuje początek nazw plików. Musi być użyte, jeśli zastosowano jedną z opcji -B, -M lub -S.

PRZYKŁAD
Znajdź wszystkie pliki w /usr/bin, które nie mają dokumentacji w /usr/share/man/man1 ze źródłem w /usr/src:

    example% cd /usr/bin
    example% whereis -u -M /usr/share/man/man1 -S /usr/src -f *

PLIKI

/{bin,sbin,etc}

/usr/{lib,bin,old,new,local,games,include,etc,src,man,sbin,
    X386,TeX,g++-include}

/usr/local/{X386,TeX,X11,include,lib,man,etc,bin,games,emacs}

ZOBACZ TAKŻE
chdir(2V)

BŁĘDY
Ponieważ whereis, w celu szybszego wykonywania się wykorzystuje chdir(2V), ścieżki podane opcjami -M, -S lub -B muszą być pełnymi ścieżkami, to jest muszą zaczynać się od "/".

whereis ma wbudowaną (hard-coded) ścieżkę przeszukiwania, więc może nie zawsze znajdować to, czego szukasz.

DOSTĘPNOŚĆ
Polecenie whereis jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.